--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: connect_type
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: delay_index_creation
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: engine
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: ext
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: host
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: memo_blob_path
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: path
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: port
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "\"2.6\""
full_name: KirbyBase
includes: 
- !ruby/object:RI::IncludedModule 
  name: DRb::DRbUndumped
- !ruby/object:RI::IncludedModule 
  name: KBTypeConversionsMixin
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: build_header_field_string
- !ruby/object:RI::MethodSummary 
  name: client?
- !ruby/object:RI::MethodSummary 
  name: create_table
- !ruby/object:RI::MethodSummary 
  name: drop_table
- !ruby/object:RI::MethodSummary 
  name: get_table
- !ruby/object:RI::MethodSummary 
  name: local?
- !ruby/object:RI::MethodSummary 
  name: rename_table
- !ruby/object:RI::MethodSummary 
  name: server?
- !ruby/object:RI::MethodSummary 
  name: table_exists?
- !ruby/object:RI::MethodSummary 
  name: tables
name: KirbyBase
superclass: Object
